Bug 911937 (CVE-2013-0871) - CVE-2013-0871 kernel: race condition with PTRACE_SETREGS
Summary: CVE-2013-0871 kernel: race condition with PTRACE_SETREGS
Status: CLOSED ERRATA
Alias: CVE-2013-0871
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130215,repo...
Keywords: Security
Depends On: 911942 912071 912072 912073 912074 912075 912077 913074 913075 913076 916531
Blocks: 911941 915776
TreeView+ depends on / blocked
 
Reported: 2013-02-16 20:35 UTC by Petr Matousek
Modified: 2019-06-08 19:26 UTC (History)
50 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-16 19:21:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0567 normal SHIPPED_LIVE Important: kernel security update 2013-02-27 00:39:18 UTC
Red Hat Product Errata RHSA-2013:0621 normal SHIPPED_LIVE Important: kernel security update 2013-03-11 23:38:25 UTC
Red Hat Product Errata RHSA-2013:0622 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-03-11 22:36:36 UTC
Red Hat Product Errata RHSA-2013:0661 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-03-19 22:24:01 UTC
Red Hat Product Errata RHSA-2013:0662 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-03-19 22:23:55 UTC
Red Hat Product Errata RHSA-2013:0695 normal SHIPPED_LIVE Important: kernel security update 2013-04-02 23:55:51 UTC
Red Hat Product Errata RHSA-2013:0741 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-16 22:33:36 UTC

Description Petr Matousek 2013-02-16 20:35:31 UTC
A race conditon in ptrace can lead to kernel stack corruption and arbitrary kernel-mode code execution. A local unprivileged user could use this flaw to elevate his privileges.

References:
http://seclists.org/oss-sec/2013/q1/326

Upstream fixes:
910ffdb18a6408e14febbb6e4b6840fd2c928c82
9899d11f654474d2d54ea52ceaa2a1f4db3abd68
9067ac85d533651b98c2ff903182a20cbb361fcb

Comment 1 Petr Matousek 2013-02-16 20:48:10 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 911942]

Comment 5 Petr Matousek 2013-02-17 17:29:32 UTC
Statement:

This issue did affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2. Future updates may address this issue.

Please note that while a public non-weaponized exploit exists, according to our testing the issue is very hard to hit.

Comment 15 errata-xmlrpc 2013-02-26 19:41:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0567 https://rhn.redhat.com/errata/RHSA-2013-0567.html

Comment 17 bugreports2005 2013-03-11 07:55:30 UTC
Is this issue going to be addressed in Red Hat Enterprise Linux 5, or is Comment 5 wrong about it being affected?

Comment 18 errata-xmlrpc 2013-03-11 18:40:19 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0622 https://rhn.redhat.com/errata/RHSA-2013-0622.html

Comment 19 errata-xmlrpc 2013-03-11 19:39:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0621 https://rhn.redhat.com/errata/RHSA-2013-0621.html

Comment 20 Petr Matousek 2013-03-11 20:29:10 UTC
Hello,

(In reply to comment #17)
> Is this issue going to be addressed in Red Hat Enterprise Linux 5, or is
> Comment 5 wrong about it being affected?

today we released RHSA-2013:0621 (https://rhn.redhat.com/errata/RHSA-2013-0621.html) that fixes this issue in Red Hat Enterprise Linux 5.

Best regards,
--
Petr Matousek / Red Hat Security Response Team

Comment 21 errata-xmlrpc 2013-03-19 18:24:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.3 EUS - Server Only

Via RHSA-2013:0662 https://rhn.redhat.com/errata/RHSA-2013-0662.html

Comment 22 errata-xmlrpc 2013-03-19 18:25:16 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.1 EUS - Server Only

Via RHSA-2013:0661 https://rhn.redhat.com/errata/RHSA-2013-0661.html

Comment 23 errata-xmlrpc 2013-04-02 19:56:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.6 EUS - Server Only

Via RHSA-2013:0695 https://rhn.redhat.com/errata/RHSA-2013-0695.html

Comment 24 errata-xmlrpc 2013-04-16 18:34:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:0741 https://rhn.redhat.com/errata/RHSA-2013-0741.html


Note You need to log in before you can comment on or make changes to this bug.